try:
    import board
    import neopixel
    from adafruit_apds9960.apds9960 import APDS9960
    import touchio
    import supervisor
    supervisor.runtime.autoreload = True
except ModuleNotFoundError:
    pass
else:
    from interact import run
    print("Setting up Trinkey...")
    # Setup board
    i2c = board.I2C()
    apds = APDS9960(i2c)
    pixels = neopixel.NeoPixel(board.NEOPIXEL, 2, brightness=0.2)
    touch = touchio.TouchIn(board.TOUCH2)
    apds.enable_proximity = True
    print("Loaded Trinkey...")

    # Call our run function
    print("Starting our code!")
    try:
        run(apds, pixels, touch)
    except KeyboardInterrupt:
        print("asdf")
        pass
